#!/bin/python
##########################################################
# get_json.py
#    traverse a JSON object from a JSON file (arg 1)
#    to get the requested proprety (arg 2)
##########################################################
import sys
import json
from types import DictType
from json import load, dumps

#==========================================================
# traverse_props
#    Recursive function.
#    gets the next property in the property path and
#    and calls itself to drill down into that new object,
#    until the last property in the path
#==========================================================
def traverse_props(obj,prop_path):
    
    prop_names = prop_path.split('.',1)
    prop_name_array = prop_names[0].split("[")
    
    if len(prop_name_array) == 1 :
        new_obj = obj [prop_name_array[0]]
        
    if len(prop_name_array) == 2 :
        prop_index = int(prop_name_array[1][:-1])
        new_obj = obj [prop_name_array[0]] [prop_index]
    
    if len(prop_names) > 1:
        traverse_props(new_obj, prop_names[1])
    else:
        #print json.dumps(new_obj)
        print(new_obj)


#==========================================================
# get_single_prop
#    gets the requested property 
#==========================================================
def get_single_prop(obj,prop_name):
    
    prop_name_array = prop_name[0].split("[")
    
    if len(prop_name_array) == 1 :
        new_obj = obj [prop_name]
        
    if len(prop_name_array) == 2 :
        prop_index = int(prop_name_array[1][:-1])
        new_obj = obj [prop_name_array[0]] [prop_index]

    print(new_obj)

#======================================================================
# main
#    arg 1 = JSON file
#    arg 2 = A JSON property, e.g., Aggregates[0].Source.Name
#    arg 3 = recurse? true/false (false=interpret dots as part of the key
#======================================================================
obj = json.loads(sys.argv[1])
if sys.argv[3] == "true": 
    traverse_props(obj, sys.argv[2])
if sys.argv[3] == "false": 
    get_single_prop(obj, sys.argv[2])
