#!/bin/bash

for topic in Party-General \
	Party-Match-Upload \
	Party-Resolved-Update \
	Party-Delete \
	FCI_IGA_AI_Data_Account \
	FCI_IGA_AI_Data_Transaction \
	FCDD_ML_CLASSIFIED \
	FCI_SEC_AuditRecords
  do
    /usr/hdp/current/kafka-broker/bin/kafka-topics.sh \
        --create \
        --if-not-exists \
        --topic $topic \
        --partitions 1 \
        --replication-factor 1 \
        --zookeeper localhost:2181
    topic_created=$?
    if [ "$topic_created" != "0" ] ; then
      echo "Exiting $0 with RC=$topic_created"
      exit $topic_created
    fi
  done

  echo "Available Kafka topics:"
  /usr/hdp/current/kafka-broker/bin/kafka-topics.sh --zookeeper localhost:2181 --list
  exit 0