#!/bin/bash


#-------------------------
# getJavaTrustStore
#------------------------
function getJavaTrustStore() {
  java_home=$(readlink -f $(which java) | xargs dirname | xargs dirname)
  find $java_home -name cacerts
}


#-------------------------
# main
#------------------------

if [ -z $1 ]; then echo "Argument 1 must be the Java trust store password"; exit 1; fi
if [ -z $2 ]; then echo "Argument 2 must be the Ranger key store password"; exit 1; fi

javaTrustPassword=$1
rangerKeyStorePassword=$2

javaTrustStore=$(getJavaTrustStore)

rangerConfDir=/etc/ranger/admin/conf
rangerKeyStore=$rangerConfDir/ranger-admin-keystore.jks
adminAlias="rangeradmin"

rm -f $rangerKeyStore 2>/dev/null
mkdir -v -p $rangerConfDir
keytool -genkey -keyalg RSA -alias $adminAlias -keystore $rangerKeyStore -storetype JKS -validity 360 -keysize 2048 -storepass $rangerKeyStorePassword -keypass $rangerKeyStorePassword -dname "CN=$adminAlias,OU=FCI,O=IBM"
ls -l $rangerKeyStore

                                        # Import the admins's cert into the JVM trust store

keytool -export -keystore $rangerKeyStore -alias $adminAlias -file /tmp/$adminAlias.cer -storepass $rangerKeyStorePassword
keytool -delete -alias $adminAlias -keystore $javaTrustStore -storepass $javaTrustPassword 2>/dev/null
keytool -import -file /tmp/$adminAlias.cer -alias $adminAlias -keystore $javaTrustStore -storepass $javaTrustPassword -noprompt

rm -f /tmp/$adminAlias.cer

#/usr/bin/ranger-admin restart
#sleep 5