#!/bin/bash

fciKmsJson=./fcicluster_kms.json
                                                # find the kms repo id

kmsRepoId=$(curl -s -k -u keyadmin:keyadmin "https://$(hostname -f):6182/service/plugins/services?type=kms" |  python -c 'import sys, json; print json.load(sys.stdin)["services"][0]["id"]')

                                                # update repo
cat << EOF > $fciKmsJson
{
    "configs": {
        "provider": "kms://http@$(hostname -f):9292/kms",
        "policy.download.auth.users": "keyadmin,rangerkms",
        "commonNameForCertificate": "rangerkmsagent",
        "password": "keyadmin",
        "username": "keyadmin"
    },
    "description": "kms repo",
    "isEnabled": true,
    "name": "fcicluster_kms",
    "id": $kmsRepoId,
    "type": "kms"
}
EOF

curl -v -k -u keyadmin:keyadmin -X PUT -H 'Content-Type: application/json' -d@$fciKmsJson https://$(hostname -f):6182/service/plugins/services/$kmsRepoId
rm -f $fciKmsJson